parents: Get parents of a term

API: ac.uk:embl-ebi-ontology-lookup-service-ols-api
Endpoint: /ontologies/{ontologyId}/terms/{iri}/parents
Response format: text/html
Charset: utf-8
Auth: none
Method: GET
Last Status: 400
Latency: 255ms

Description

Returns a paginated list of parent terms (direct superclasses) of a specific term.

Parameters (2)

iri (string, path, required)

URL-encoded IRI of the term

ontologyId (string, path, required)

The ontology ID

Examples (3)

Get parents of GO cellular component term curl
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0005575/parents' \
  -d '"<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>"'
import requests

resp = requests.get(
    "https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0005575/parents",
    json="<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms/{iri}/parents")

for item in result:
    print(item)
const body = "<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>";

const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0005575/parents", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Get parents with pagination curl
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0008150/parents?page=0&size=10' \
  -d '"<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>"'
import requests

resp = requests.get(
    "https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0008150/parents",
    params={
        'page': '0',
        'size': '10',
    },
    json="<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms/{iri}/parents", page=0, size=10)

for item in result:
    print(item)
const body = "<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>";

const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FGO_0008150/parents?page=0&size=10", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Get parents of an EFO term curl
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/efo/terms/http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000001/parents' \
  -d '"<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>"'
import requests

resp = requests.get(
    "https://www.ebi.ac.uk/ols4/api/ontologies/efo/terms/http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000001/parents",
    json="<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms/{iri}/parents")

for item in result:
    print(item)
const body = "<!doctype html><html lang=\"en\"><head><title>HTTP Status 400 – Bad Request</title><style type=\"text/css\">body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}</style></head><body><h1>HTTP Status 400 – Bad Request</h1></body></html>";

const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/efo/terms/http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000001/parents", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:52:29.264948 400 255ms
2026-04-16 03:51:28.062797 400 240ms
2026-04-16 01:22:25.735616 400 211ms
2026-04-15 03:44:08.590827 400 208ms
2026-04-15 03:18:39.341596 400 218ms
2026-04-15 01:56:58.475598 400 337ms
2026-04-14 03:21:26.224711 400 258ms
2026-04-14 01:01:56.223514 400 240ms
2026-04-14 00:14:34.158376 400 218ms
2026-04-12 15:43:52.556802 400 202ms
2026-04-12 13:01:02.178734 400 227ms
2026-04-12 12:56:10.995760 400 228ms
2026-04-10 04:24:02.447233 400 168ms
2026-04-10 04:18:44.876508 400 121ms
2026-04-10 02:30:41.822358 400 429ms
2026-04-09 02:46:58.892319 400 4473ms
2026-04-09 01:17:58.049705 400 236ms
2026-04-09 00:18:10.752324 400 219ms
2026-04-08 07:25:09.358659 400 243ms
2026-04-08 07:21:10.246564 400 971ms
2026-04-08 00:31:39.446017 400 206ms
2026-04-07 01:30:38.382903 400 213ms
2026-04-07 01:12:24.958526 400 217ms
2026-04-07 01:10:21.821386 400 207ms
2026-04-05 23:49:14.349121 400 244ms
2026-04-05 19:37:12.362661 400 308ms
2026-04-05 19:09:02.489245 ERR
2026-03-23 10:34:53.328671 400 136ms
2026-03-23 10:28:09.002199 400 138ms
2026-03-23 09:19:16.650568 400 148ms